## com.sun.jersey.api.client.filter
Class ConnectionListenerFilter

    java.lang.Object
      com.sun.jersey.api.client.filter.ClientFilter
          com.sun.jersey.api.client.filter.ConnectionListenerFilter

All Implemented Interfaces:
  ClientHandler

    public class ConnectionListenerFilter

extends ClientFilter

ConnectionListener filter This filter does not modify input/output stream

Author:
  pavel.bucek@sun.com

Constructor Summary
`ConnectionListenerFilter(OnStartConnectionListener listenerFactory)` Creates ConnectionListenerFilter.

Method Summary
`ClientResponse` | `handle(ClientRequest request)` Handle a HTTP request as a `ClientRequest` and return the HTTP response as a `ClientResponse`.

Methods inherited from class com.sun.jersey.api.client.filter.ClientFilter
`getNext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionListenerFilter

    public ConnectionListenerFilter(OnStartConnectionListener listenerFactory)

  Creates ConnectionListenerFilter.

  Parameters:
    `listenerFactory` - `OnStartConnectionListener` instance

Method Detail

### handle

    public ClientResponse handle(ClientRequest request)
                          throws ClientHandlerException

  Description copied from interface: `ClientHandler`
  Handle a HTTP request as a `ClientRequest` and return the HTTP response as a `ClientResponse`.

  Specified by:
    `handle` in interface `ClientHandler`
  Specified by:
    `handle` in class `ClientFilter`
  Parameters:
    `request` - the HTTP request.
  Returns:
    the HTTP response.
  Throws:
    `ClientHandlerException` - if the client handler fails to process the request or response.

Copyright © 2017 Oracle Corporation. All Rights Reserved.